Class | Merb::Router::CachedProc
In: | lib/merb-core/dispatch/router/cached_proc.rb
Parent: | Object

Cache procs for future reference in eval statement :api: private

### Methods

[] []= new register to_s

### Attributes

cache | [RW] | :api: private
index | [RW] | :api: private

### Public Class methods

[](index)

#### Parameters

index<Fixnum>: | The index of the cached code to retrieve.

#### Returns

CachedProc: | The cached code at index.

:api: private

[]=(index, code)

Sets the cached code for a specific index.

#### Parameters

index<Fixnum>: | The index of the cached code to set.
code<CachedProc>: | The cached code to set.

:api: private

new(cache)

#### Parameters

cache<Proc>: | The block of code to cache.

:api: private

register(cached_code)

#### Parameters

cached_code<CachedProc>: | The cached code to register.

#### Returns

Fixnum: | The index of the newly registered CachedProc.

:api: private

### Public Instance methods

to_s()

#### Returns

String: | The CachedProc object in a format embeddable within a string.

:api: private

[Validate]